--If you're lame and hate mods, then just uncomment (take off the dashes) the following line.
--return Def.ActorFrame{}
local crapola = 0
local function Mods()
	local screen = SCREENMAN:GetTopScreen()
	if GAMESTATE:GetSongBeat() >= 0 and crapola == 0 then
		if GAMESTATE:IsHumanPlayer(PLAYER_1) then
			GAMESTATE:GetPlayerState(PLAYER_1)
			:SetPlayerOptions("ModsLevel_Song","0.70x,*6 70% Alternate, 50% Centered, *6 300% Tipsy, *0.2 80% Stealth, 200% Beat")
		end
		if GAMESTATE:IsHumanPlayer(PLAYER_2) then
			GAMESTATE:GetPlayerState(PLAYER_2)
			:SetPlayerOptions("ModsLevel_Song","0.75x,*6 70% Alternate, *6 300% Tipsy, *0.2 80% Stealth, 200% Beat")
		end
		SCREENMAN:SystemMessage("Surprise! Bet you weren't expecting that!")
		crapola=crapola+1
	end
	if GAMESTATE:GetSongBeat()>=4 and crapola == 1 then
		SCREENMAN:SystemMessage("You better prepare yourself!")
		crapola=crapola+1
	end
	if GAMESTATE:GetSongBeat()>=8 and crapola == 2 then
		SCREENMAN:SystemMessage("Are you ready?")
		crapola=crapola+1
	end
	if GAMESTATE:GetSongBeat()>= 12 and crapola ==3 then
		if GAMESTATE:IsHumanPlayer(PLAYER_1) then
			GAMESTATE:GetPlayerState(PLAYER_1):SetPlayerOptions("ModsLevel_Song","No Alternate, *6 No Tipsy, No Stealth")
		end
		if GAMESTATE:IsHumanPlayer(PLAYER_2) then
			GAMESTATE:GetPlayerState(PLAYER_2):SetPlayerOptions("ModsLevel_Song","No Alternate, *6 No Tipsy, No Stealth")
		end
		SCREENMAN:SystemMessage("jk I'm not gonna make you play like this, lol")
		crapola=crapola+1
	end
	if GAMESTATE:GetSongBeat()>= 14 and crapola == 4 then
		if GAMESTATE:IsHumanPlayer(PLAYER_1) then
			GAMESTATE:GetPlayerState(PLAYER_1):SetPlayerOptions("ModsLevel_Song",GAMESTATE:GetPlayerState(PLAYER_1):GetPlayerOptionsString("ModsLevel_Preferred"))
		end
		if GAMESTATE:IsHumanPlayer(PLAYER_2) then
			GAMESTATE:GetPlayerState(PLAYER_2):SetPlayerOptions("ModsLevel_Song",GAMESTATE:GetPlayerState(PLAYER_2):GetPlayerOptionsString("ModsLevel_Preferred"))
		end
	end
end

return Def.ActorFrame{ 
	Def.Actor{ OnCommand=cmd(sleep,100) };
	Def.ActorFrame{ OnCommand=cmd(SetUpdateFunction,Mods) }
}
